sugar-presence-service (0.90.2-4) unstable; urgency=medium

  * Update package relations:
    + Fix depend on telepathy-gabble-legacy or older telepathy-gabble
      (not recent telepathy-gabble): Old Tubes API needed.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Jun 2015 11:15:44 -0500

sugar-presence-service (0.90.2-3) unstable; urgency=medium

  * Improve short description.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Modernize git-buildpackage config: Avoid "git-" prefix.
  * Drop branch from source and binary package.
  * Update package relations:
    + Depend on unbranched python-sugar-toolkit.
    + Fix depend on net-tools only as fallback for network-manager.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Jun 2015 08:26:05 -0500

sugar-presence-service-0.90 (0.90.2-2) unstable; urgency=medium

  * Bump debhelper compatibility level to 8.
  * Move packaging to Debian Sugar Team.
  * Declare compliance with Debian Policy 3.9.6.
  * Wrap and sort package relations fields.
  * Update package relations:
    + Fix stop recommend sugar-session-*.
    + Stop bogusly depend on shlibs:Depends: Irrelevant for
      arch-independent packages.
    + Relax to build-depend unversioned on python and relax versioning
      of cdbs: Needed versions satisfied even in oldstable.
    + Relax to drop fallback for python-gobject and versioning of
      python-dbus and network-manager: Needed versions satisfied even in
      oldstable.
    + Recommend python-sugar-toolkit-0.98 - i.e. newest and likely last
      branch (not python-sugar-toolkit-0.96).
    + Make build-dependency suppression future compatible with cdbs 0.5.
  * Modernize long description.
  * Move to section oldlibs: Deprecated upstream.
  * Track xz compressed upstream tarballs (but favor bzip2).
  * Rewrite README.source to emphasize that control.in file is *not* a
    show-stopper for contributions, and refer to wiki page for details.
  * Stop track upstream tarball checksum.
  * Update copyright info:
    + Fix use SPDX shortname for X11 license.
      Thanks to Paul Richards Tagliamonte.
    + Extend coverage for myself.
    + Relicense packaging as GPL-3+.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Apr 2015 15:22:49 +0200

sugar-presence-service-0.90 (0.90.2-1) unstable; urgency=low

  * New upstream release.

  [ Jonas Smedegaard ]
  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.
  * Bump debhelper compatibility level to 7.
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Modernize long description, based on upstream wiki phrases.
  * Use Python helper python2 (not python-central).
  * Tidy README.source to not mention quilt, and to not duplicate most
    of the content.
  * Refer to FSF website (not postal address) in licensing header of
    rules file.
  * Extend copyright of Debian packaging to cover recent years.
  * Rewrite copyright file using format 1.0.
  * Update package relations:
    + Tighten build-dependency on cdbs and python: Needed for python2
      helper.
    + Stop build-depending on python-central: No longer used.
    + Relax build-depend unversioned on debhelper and devscripts: Needed
      versions satisfied even in oldstable.
  * Extend years in copyright file.
  * Bump branch to 0.96.
  * Fix recommend sugar-session (not bogus sugar).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 May 2012 22:37:45 +0200

sugar-presence-service-0.90 (0.90.1-1) unstable; urgency=low

  * New upstream stable release.
  * Switch packaging to upstream branch 0.90.
  * Improve copyright file:
    + Fix replace license section MIT with Expat and other-X.
    + Add comment on Expat variation.
    + Rename and tighten other-GAP-* sections.
  * Suppress unneeded auto-resolved build-dependency on python-dev.
  * Append _DEFAULT to deprecated CDBS variables in rules file.
  * Bump Policy compliance to standards-version 3.9.1.
  * Update copyright file: Extend a copyright a year.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Oct 2010 12:58:27 +0200

sugar-presence-service-0.88 (0.88.0-1) unstable; urgency=low

  * New upstream stable release.
  * Drop all local CDBS snippets: included with main cdbs package now.
  * Switch to source format "3.0 (quilt)".
  * Relax build-dependencies on python-central and python-dev.
  * Relax build-dependency on devscripts slightly, to ease backporting.
  * Tighten build-dependency on cdbs.
  * Add git-buildpackage hint about use of bzip2-compressed tarballs.
  * Bump standards-version to 3.8.4.
  * Update copyright file:
    + Reformat to conform to draft DEP5 rev. 135.
    + Add GPL disclaimers.
    + Adjust some years.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 19:22:10 +0200

sugar-presence-service-0.88 (0.87.1-1) unstable; urgency=low

  * New upstream development release.
  * Switch packaging to branch 0.88.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Dec 2009 16:01:15 +0100

sugar-presence-service-0.86 (0.86.0-1) unstable; urgency=low

  * New upstream stable release.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Oct 2009 11:31:06 +0200

sugar-presence-service-0.86 (0.85.3-1) unstable; urgency=low

  * New upstream development release.
  * Update md5sum hint for new upstream v0.85.3 release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Sep 2009 22:52:09 +0200

sugar-presence-service-0.86 (0.85.2-1) unstable; urgency=low

  * New upstream development release.
  * Build-depend on openssh-client (not depend: needed for regression
    test only).
  * Depend on net-tools.
  * Update OLPC relation (now historic) in long description.
  * Bump up policy compliance to standards version 3.8.3.
  * Update CDBS snippets:
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones).
    + Improve package-relation.mk cleanup to cover debhelper 6 and 7,
      strip more whitespace and cover mixture of unversioned+versioned
      dependencies.
    + Silence applying dependencies in package-relation.mk.
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
    + Update URL to draft DEP5 format in copyright-check.mk output.
  * Bump binary and source package to major version 0.86.
  * Relax watch file to track all releases.
  * Update debian/control format to DEP5 rev54. Include automade files
    (GPL-2+ or GAP).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Sep 2009 23:45:10 +0200

sugar-presence-service-0.84 (0.84.0-3) unstable; urgency=low

  * Really provide, conflict with and replace sugar-presence-service.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 May 2009 20:38:12 +0200

sugar-presence-service-0.84 (0.84.0-2) unstable; urgency=low

  * Provide, conflict with and replace sugar-presence-service.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 May 2009 20:30:06 +0200

sugar-presence-service-0.84 (0.84.0-1) unstable; urgency=low

  * New upstream release.
  * Add README.source (and drop CDBS hints and README.packaging).
  * Update CDBS snippets:
    + Minor updates to buildinfo.mk and copyright-check.mk
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones)
    + Extend package-relation.mk to handle debhelper 6 and 7.0.1
  * Add git-buildpackage configfile, enabling signed tags and use of
    pristine-tar.
  * Use sugarlabs.org (not laptop.org) as upstream URLs.
  * Restrict watch file to current stable release (0.84).
  * Handle binary (not only source) dependencies in rules file.
  * Append major version (0.84) to binary and source package.
  * Update debian/copyright:
    + Rewrite to use DEP5 r48 proposed machine-readable format
    + Add/update authors of files below debian/* (no new licenses)
    + Merge copyright entries with only differing years.
  * Bump policy compliance to Standards-Version 3.8.1.
  * Stop depending on unneeded telepathy-stream-engine.  Closes:
    bug#526891, thanks to Sjoerd Simons.
  * Recommend recent network-manager.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 May 2009 19:55:16 +0200

sugar-presence-service (0.82.2-1) unstable; urgency=low

  * New upstream release.
  * Depend on ${misc:Depends}.
  * Update cdbs snippets:
    + Run dh_py* scripts before dh_installinit in python-autotools.mk
      (see bug#494288)
    + Cleanup check stamp dir for flavored builds in makefile.mk, fixing
      failure to build twice in a row.
    + Compact simple licenses too (those without ' or later') in
      copyright-check.mk
    + Various improvements to update-tarball.mk (none important here)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Nov 2008 17:26:46 +0100

sugar-presence-service (0.82.0-1) unstable; urgency=low

  * New upstream release.
  * Update cdbs snippets:
    + Move dependency cleanup to new local snippet package-relations.mk.
    + Update copyright-check output to more closely match proposed new
      copyright file format.  Update copyright-hints.
    + Internal restructuring of flavor-enhanced autotools- and makefile-
      snippets.
    + Update README.cdbs-tweaks.
  * Add DEB_MAINTAINER_MODE in debian/rules (thanks to Romain Beauxis).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Aug 2008 20:30:08 +0200

sugar-presence-service (0.81.2-1) unstable; urgency=low

  * New upstream release.
  * Update local cdbs snippets:
    + Relax copyright-check to only warn about its discoveries.  Closes:
      bug#486999.
  * Update debian/copyright-hints.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Jun 2008 01:27:39 +0200

sugar-presence-service (0.81.1-1) unstable; urgency=low

  * New upstream release.
  * Reorganize debian/copyright to only mention each license once.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Jun 2008 12:43:04 +0200

sugar-presence-service (0.79.3-2) unstable; urgency=low

  * Have python-gobject build-dependency fallback to python-gtk2 older
    than 2.9 (it provided gobject back then).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Apr 2008 12:10:02 +0200

sugar-presence-service (0.79.3-1) unstable; urgency=low

  * New upstream release.
    Highlights:
    + always reset the reconnect timer when disconnected
  * Bump debhelper compatibility level to 6 (was 5).
  * Update local cdbs snippets:
    + Relax python-central and python-support build-dependencies in
      python-autotools.mk.
    + Strip any non-printable characters in copyright-check.mk.
  * Mention exact upstream Git source in debian/copyright.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Apr 2008 11:50:22 +0200

sugar-presence-service (0.79.2-1) unstable; urgency=low

  * New upstream release.
  * Update local cdbs snippets:
    + Update copyright-check cdbs snippet to store newline-delimited
      hints.  Update hints.
    + Drop wget options broken with recent versions of wget in
      update-tarball.mk.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 Apr 2008 05:02:41 +0200

sugar-presence-service (0.79.0-4) unstable; urgency=low

  * Update CDBS tweaks:
    + Add local python-autotools.mk (and drop py-compile.mk).
    + Update python-vars.mk and makefile.mk for improved DEB_*PACKAGES
      and build-dependency resolving.
    + Cosmetic updates to README.cdbs-tweaks.
  * Fix email address of OLPC Alioth team.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Mar 2008 13:52:04 +0100

sugar-presence-service (0.79.0-3) unstable; urgency=low

  * Pass over maintenance of the package to the OLPC team: Change
    Maintainer, and add myself to Uploaders.
  * Build-depend on python-all-dev (not python-dev).
  * Fix README.packaging to use "pull; fetch --tags" (not "pull -t").
  * Depend on python-sugar-toolkit (not sugar-toolkit).
  * Update CDBS tweaks:
    + Add local py-compile.mk and python-vars.mk to handle autotools-
      based Python compilation.
    + Add local autotools.mk, autotools-vars.mk, makefile.mk and
      makefile-vars.mk providing multi-flavor build support needed by
      py-compile.mk.
    + README.cdbs-tweaks updated to mention the above.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Mar 2008 12:43:27 +0100

sugar-presence-service (0.79.0-2) unstable; urgency=low

  * Build binary package as arch-all.
  * Depend on python-gobject, python-dbus (new enough for reliable PS),
    python-telepathy, sugar-toolkit, telepathy-gabble, telepathy-salut,
    telepathy-stream-engine and openssh-client.
  * Recommend sugar and avahi-daemon.
  * Fix watch file.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Mar 2008 02:59:38 +0100

sugar-presence-service (0.79.0-1) unstable; urgency=low

  * Initial release. Closes: bug#444021.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Mar 2008 21:51:42 +0100
